from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XEntityResolver(XInterface, Protocol):
    def resolveEntity(self, sPublicId: str, sSystemId: str) -> InputSource: ...
